///*
// * Aipo is a groupware program developed by Aimluck,Inc.
// * Copyright (C) 2004-2008 Aimluck,Inc.
// * http://aipostyle.com/
// *
// * This program is free software; you can redistribute it and/or modify
// * it under the terms of the GNU General Public License as published by
// * the Free Software Foundation; either version 3 of the License, or
// * (at your option) any later version.
// *
// * This program is distributed in the hope that it will be useful,
// * but WITHOUT ANY WARRANTY; without even the implied warranty of
// * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// * GNU General Public License for more details.
// *
// * You should have received a copy of the GNU General Public License
// * along with this program. If not, see <http://www.gnu.org/licenses/>.
// */
package com.aimluck.eip.exttimecard;

import java.util.ArrayList;
import java.util.List;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;

/**
 * タイムカード集計の設定情報を保持する。
 * 
 * 
 */
public class ExtTimecardSystemDetailMapResultData implements ALData {

	private ALNumberField system_detail_id;

	private ALNumberField system_id;

	private ALStringField workstart_flag;

	private ALStringField start_hour;

	private ALStringField start_minute;

	private ALStringField end_hour;

	private ALStringField end_minute;

	private ALStringField worktime;

	private ALStringField worktime_status;

	private ALStringField work_hour;

	private ALStringField work_minute;

	public ALNumberField getSystem_detail_id() {
		return system_detail_id;
	}

	public void setSystem_detail_id(ALNumberField system_detail_id) {
		this.system_detail_id = system_detail_id;
	}

	public ALNumberField getSystem_id() {
		return system_id;
	}

	public void setSystem_id(ALNumberField system_id) {
		this.system_id = system_id;
	}

	public ALStringField getWorkstart_flag() {
		return workstart_flag;
	}

	public void setWorkstart_flag(ALStringField workstart_flag) {
		this.workstart_flag = workstart_flag;
	}

	public ALStringField getStart_hour() {
		return start_hour;
	}

	public void setStart_hour(ALStringField start_hour) {
		this.start_hour = start_hour;
	}

	public ALStringField getStart_minute() {
		return start_minute;
	}

	public void setStart_minute(ALStringField start_minute) {
		this.start_minute = start_minute;
	}

	public ALStringField getEnd_hour() {
		return end_hour;
	}

	public void setEnd_hour(ALStringField end_hour) {
		this.end_hour = end_hour;
	}

	public ALStringField getEnd_minute() {
		return end_minute;
	}

	public void setEnd_minute(ALStringField end_minute) {
		this.end_minute = end_minute;
	}

	public ALStringField getWorktime_status() {
		return worktime_status;
	}

	public void setWorktime_status(ALStringField worktime_status) {
		this.worktime_status = worktime_status;
	}

	
	public ALStringField getWork_hour() {
		return work_hour;
	}

	public void setWork_hour(String work_hour) {
		this.work_hour.setValue(work_hour);
	}

	public ALStringField getWork_minute() {
		return work_minute;
	}

	public void setWork_minute(String work_minute) {
		this.work_minute.setValue(work_minute);
	}


	/**
	 * 
	 * @see com.aimluck.eip.common.ALData#initField()
	 */
	public void initField() {
		system_detail_id = new ALNumberField();
		system_id = new ALNumberField();
		workstart_flag = new ALStringField();
		start_hour = new ALStringField();
		start_minute = new ALStringField();
		end_hour = new ALStringField();
		end_minute = new ALStringField();
		worktime_status = new ALStringField();
		worktime = new ALStringField();
		work_hour = new ALStringField();
		work_minute = new ALStringField();
	}

	public ALNumberField getSystemDetailId() {
		return system_detail_id;
	}

	public ALStringField getWorkstartFlag() {
		return workstart_flag;
	}

	public ALNumberField getSystemId() {
		return system_id;
	}

	public String getStartHour() {
		return start_hour.getValue();
	}

	public String getStartMinute() {
		return start_minute.getValue();
	}

	public String getEndHour() {
		return end_hour.getValue();
	}

	public String getEndMinute() {
		return end_minute.getValue();
	}


	public ALStringField getWorktimeStatus() {
		return worktime_status;

	}

	public void setSystemDetailId(int i) {
		system_detail_id.setValue(i);
	}

	public void setSystemId(int i) {
		system_id.setValue(i);
	}

	public void setWorkstartFlag(String str) {
		workstart_flag.setValue(str);
	}

	public void setStartHour(String str) {
		start_hour.setValue(str);
	}

	public void setStartMinute(String str) {
		start_minute.setValue(str);
	}

	public void setEndHour(String str) {
		end_hour.setValue(str);
	}

	public void setEndMinute(String str) {
		end_minute.setValue(str);
	}


	public void setWorktimeStatus(String str) {
		worktime_status.setValue(str);
	}

	public void setWork_hour(ALStringField work_hour) {
		this.work_hour = work_hour;
	}

	public void setWork_minute(ALStringField work_minute) {
		this.work_minute = work_minute;
	}

	public ALStringField getWorktime() {
		return worktime;
	}

	public void setWorktime(ALStringField worktime) {
		this.worktime = worktime;
	}

}
